com.mysql.cj

## Interface QueryBindings

    public interface QueryBindings

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `checkAllParametersSet()`
`void` `checkParameterSet(int columnIndex)`
`boolean` `clearBindValues()`
`QueryBindings` `clone()`
`BindValue` `getBinding(int parameterIndex, boolean forLongData)`
`BindValue[]` `getBindValues()`
`byte[]` `getBytesRepresentation(int parameterIndex)`
`int` `getNumberOfExecutions()`
`AtomicBoolean` `getSendTypesToServer()`
`boolean` `isLongParameterSwitchDetected()`
`boolean` `isNull(int parameterIndex)`
`void` `setAsciiStream(int parameterIndex, InputStream x, int length)`
`void` `setBigDecimal(int parameterIndex, BigDecimal x)`
`void` `setBigInteger(int parameterIndex, BigInteger x)`
`void` `setBinaryStream(int parameterIndex, InputStream x, int length)`
`void` `setBindValues(BindValue[] bindValues)`
`void` `setBlob(int parameterIndex, Blob x)`
`void` `setBoolean(int parameterIndex, boolean x)`
`void` `setByte(int parameterIndex, byte x)`
`void` `setBytes(int parameterIndex, byte[] x, boolean escapeIfNeeded)`
`void` `setCharacterStream(int parameterIndex, Reader reader, int length)`
`void` `setClob(int i, Clob x)`
`void` `setColumnDefinition(ColumnDefinition colDef)`
`void` `setDate(int parameterIndex, Date x, Calendar cal)`
`void` `setDouble(int parameterIndex, double x)`
`void` `setFloat(int parameterIndex, float x)`
`void` `setFromBindValue(int parameterIndex, BindValue bv)`
`void` `setInt(int parameterIndex, int x)`
`void` `setLong(int parameterIndex, long x)`
`void` `setLongParameterSwitchDetected(boolean longParameterSwitchDetected)`
`void` `setNCharacterStream(int parameterIndex, Reader reader, long length)`
`void` `setNClob(int parameterIndex, NClob value)`
`void` `setNString(int parameterIndex, String x)`
`void` `setNull(int parameterIndex)`
`void` `setNumberOfExecutions(int numberOfExecutions)`
`void` `setObject(int parameterIndex, Object parameterObj)`
`void` `setObject(int parameterIndex, Object parameterObj, MysqlType targetMysqlType, int scaleOrLength)`
`void` `setShort(int parameterIndex, short x)`
`void` `setString(int parameterIndex, String x)`
`void` `setTime(int parameterIndex, Time x, Calendar cal)`
`void` `setTimestamp(int parameterIndex, Timestamp x, Calendar targetCalendar, Field field, MysqlType targetMysqlType)`

### Method Detail

#### clone

    QueryBindings clone()

#### setColumnDefinition

    void setColumnDefinition(ColumnDefinition colDef)

#### getBindValues

    BindValue[] getBindValues()

#### setBindValues

    void setBindValues(BindValue[] bindValues)

#### clearBindValues

    boolean clearBindValues()

Returns:
  true if bind values had long data

#### checkParameterSet

    void checkParameterSet(int columnIndex)

#### checkAllParametersSet

    void checkAllParametersSet()

#### getNumberOfExecutions

    int getNumberOfExecutions()

#### setNumberOfExecutions

    void setNumberOfExecutions(int numberOfExecutions)

#### isLongParameterSwitchDetected

    boolean isLongParameterSwitchDetected()

#### setLongParameterSwitchDetected

    void setLongParameterSwitchDetected(boolean longParameterSwitchDetected)

#### getSendTypesToServer

    AtomicBoolean getSendTypesToServer()

#### getBinding

    BindValue getBinding(int parameterIndex,
                         boolean forLongData)

#### setFromBindValue

    void setFromBindValue(int parameterIndex,
                          BindValue bv)

#### setAsciiStream

    void setAsciiStream(int parameterIndex,
                        InputStream x,
                        int length)

#### setBigDecimal

    void setBigDecimal(int parameterIndex,
                       BigDecimal x)

#### setBigInteger

    void setBigInteger(int parameterIndex,
                       BigInteger x)

#### setBinaryStream

    void setBinaryStream(int parameterIndex,
                         InputStream x,
                         int length)

#### setBlob

    void setBlob(int parameterIndex,
                 Blob x)

#### setBoolean

    void setBoolean(int parameterIndex,
                    boolean x)

#### setByte

    void setByte(int parameterIndex,
                 byte x)

#### setBytes

    void setBytes(int parameterIndex,
                  byte[] x,
                  boolean escapeIfNeeded)

#### setCharacterStream

    void setCharacterStream(int parameterIndex,
                            Reader reader,
                            int length)

#### setClob

    void setClob(int i,
                 Clob x)

#### setDate

    void setDate(int parameterIndex,
                 Date x,
                 Calendar cal)

#### setDouble

    void setDouble(int parameterIndex,
                   double x)

#### setFloat

    void setFloat(int parameterIndex,
                  float x)

#### setInt

    void setInt(int parameterIndex,
                int x)

#### setLong

    void setLong(int parameterIndex,
                 long x)

#### setNCharacterStream

    void setNCharacterStream(int parameterIndex,
                             Reader reader,
                             long length)

#### setNClob

    void setNClob(int parameterIndex,
                  NClob value)

#### setNString

    void setNString(int parameterIndex,
                    String x)

#### setNull

    void setNull(int parameterIndex)

#### isNull

    boolean isNull(int parameterIndex)

#### setObject

    void setObject(int parameterIndex,
                   Object parameterObj)

#### setObject

    void setObject(int parameterIndex,
                   Object parameterObj,
                   MysqlType targetMysqlType,
                   int scaleOrLength)

#### setShort

    void setShort(int parameterIndex,
                  short x)

#### setString

    void setString(int parameterIndex,
                   String x)

#### setTime

    void setTime(int parameterIndex,
                 Time x,
                 Calendar cal)

#### setTimestamp

    void setTimestamp(int parameterIndex,
                      Timestamp x,
                      Calendar targetCalendar,
                      Field field,
                      MysqlType targetMysqlType)

#### getBytesRepresentation

    byte[] getBytesRepresentation(int parameterIndex)

Copyright © 2016, 2024, Oracle and/or its affiliates.